#include <stdio.h>
#include <stdlib.h>
#include <math.h>

struct TKor{int x; int y; int r;};

int feltolt(char filename[]);
void origo(char filename[]);
void metsz(char filename[]);


int main(int argc, char *argv[]) {
	char fn[]="pontok.dat";
	feltolt(fn);
	origo(fn);
	metsz(fn);
	
}

int feltolt(char filename[])
{
   FILE *f;
   struct TKor kor;
   int i;
   f=fopen(filename,"wb");
   if (NULL==f)
   {
   	  return 1;
   }
   for (i=0;i<20;i++)
      {
      	kor.x=rand()%21-10;
      	kor.y=rand()%21-10;
      	kor.r=rand()%10;
      	fwrite(&kor ,sizeof kor,1,f);
      }	
   fclose(f);
   return 0;	
}

void origo(char filename[])
{
   FILE *f;
   struct TKor kor;
   float tav;
   f=fopen(filename,"rb");
   if (NULL==f) 
   {
   	 printf("Hiba a file megnyitsakor");
   	 return;
   }
   
   while (1==fread(&kor,sizeof kor,1,f))
   {
   	   tav=sqrt(pow(kor.x,2.0)+pow(kor.y,2.0));
   	   if (tav<=kor.r)
   	   printf("%4d %4d %4d\n",kor.x,kor.y,kor.r);
   }
   fclose(f);   
}

void metsz(char filename[])
{
printf("Metsz:\n");	
   FILE *f;
   struct TKor kor;
   f=fopen(filename,"rb");
   if (NULL==f) 
   {
   	 printf("Hiba a file megnyitsakor");
   	 return;
   }
   
   while (1==fread(&kor,sizeof kor,1,f))
   {
   	   
   	   if (abs(kor.x)>kor.r && abs(kor.y)>kor.r)
   	   printf("%4d %4d %4d\n",kor.x,kor.y,kor.r);
   }
   fclose(f);   
	
}



