#include <stdio.h>
#include <stdlib.h>
#include <math.h>

struct TTeglalap{int x1; int y1; int x2; int y2;};

int feltolt(char filename[]);
void terulet(char filename[]);
void origo(char filename[]);

int main(int argc, char *argv[]) {
	char fn[]="pontok.dat";
	feltolt(fn);
	terulet(fn);
	origo(fn);
}

int feltolt(char filename[])
{
   FILE *f;
   struct TTeglalap teglalap;
   int i;
   f=fopen(filename,"wb");
   if (NULL==f)
   {
   	  return 1;
   }
   for (i=0;i<20;i++)
      {
      	teglalap.x1=rand()%11-5;
      	teglalap.y1=rand()%11-5;
      	teglalap.x2=rand()%11-5;
      	teglalap.y2=rand()%11-5;
      	fwrite(&teglalap ,sizeof teglalap,1,f);
      }	
   fclose(f);
   return 0;	
}

void terulet(char filename[])
{
   FILE *f;
   struct TTeglalap teglalap;
   int terulet,beker;
   f=fopen(filename,"rb");
   if (NULL==f) 
   {
   	 printf("Hiba a file megnyitsakor");
   	 return;
   }
   printf("Adjon meg egy minimalis teruletet:");
   scanf("%d",&beker);
   
   while (1==fread(&teglalap,sizeof teglalap,1,f))
   {
   	   terulet=abs((teglalap.x1-teglalap.x2)*(teglalap.y1-teglalap.y2));
   	   if (terulet>beker)
   	   printf("x1:%4d y1:%4d x2:%4d y2:%4d\n",teglalap.x1,teglalap.y1,teglalap.x2,teglalap.y2);
   }
   fclose(f);   
}

int sign(int x) //singum fggvny, eljelet ad vissza (-1 0 +1)
{
	if (x<0) return -1;
	if (x=0) return 0;
	return 1; 
}

void origo(char filename[])
{
   FILE *f;
   struct TTeglalap teglalap;
   int terulet,beker;
   f=fopen(filename,"rb");
   if (NULL==f) 
   {
   	 printf("Hiba a file megnyitsakor");
   	 return;
   }
   printf("Origo:\n");
   while (1==fread(&teglalap,sizeof teglalap,1,f))
   {   //Ha az egyes koordintk eljelei klnbznek;
   	   if(sign(teglalap.x1)*sign(teglalap.x2)==-1 &&
   	      sign(teglalap.y1)*sign(teglalap.y2)==-1)
   	      printf("x1:%4d y1:%4d x2:%4d y2:%4d\n",teglalap.x1,teglalap.y1,teglalap.x2,teglalap.y2);
   }
   fclose(f);   
}



